summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlexandru DAMIAN <alexandru.damian@intel.com>2013-12-02 15:58:31 +0000
committerPaul Eggleton <paul.eggleton@linux.intel.com>2013-12-09 18:58:26 +0000
commit2d37a1731a2b681bc976f3f391d65abb7745b6f9 (patch)
tree01b94fe536185accbba8df641aa7b839c8dfc498 /bin
parent5839e5b0af45d4c9e05145b16c4ed5817e152606 (diff)
downloadbitbake-contrib-2d37a1731a2b681bc976f3f391d65abb7745b6f9.tar.gz
toaster: update to Django 1.5
In order to remain up to date with the relevant technologies, Toaster is updated with this patch to Django 1.5. This also makes headways to allow usage of emerging Django-related technologies. Changes include the startup script Django version check, usage of TemplateView instead of deprecated simple function to do redirects, and update to the new form of the _url_ template tag. Support for Django 1.4.5 is now deprecated. [YOCTO #5558] Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/toaster4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/toaster b/bin/toaster
index d4715fa67..7e51014b7 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -87,8 +87,8 @@ BBBASEDIR=`dirname ${BASH_SOURCE}`/..
# Verify prerequisites
-if ! echo "import django; print (1,4,5) == django.VERSION[0:3]" | python 2>/dev/null | grep True >/dev/null; then
- echo -e "This program needs Django 1.4.5. Please install with\n\nsudo pip install django==1.4.5"
+if ! echo "import django; print (1,5) == django.VERSION[0:2]" | python 2>/dev/null | grep True >/dev/null; then
+ echo -e "This program needs Django 1.5. Please install with\n\nsudo pip install django==1.5"
return 2
fi